{ lib, ...}:

{
  boot.isContainer = true;
  networking.useDHCP = false;
  users.users.root.hashedPassword = "";
  networking.firewall.enable = false;
  services.coredns = {
    enable = true;
    config = ''
    .:53 {
      forward . 1.1.1.1
    }
    '';
  };

  # I /suspect/ this is not actually needed.
  # TODO: find spoons to deal with potential breakage, test removing this
  networking.defaultGateway = {
    address = "192.168.100.1";
    interface = "eth0";
  };

  system.stateVersion = lib.mkDefault "21.05";
}
