{ jekyll, stdenvNoCC, writeScriptBin }:

stdenvNoCC.mkDerivation rec {
  name = "mumble.infra4future.de-static";

  src = ./.;

  phases = [ "buildPhase" ];
  buildPhase = ''
    cd $src
    ${jekyll}/bin/jekyll build -d $out --disable-disk-cache
  '';

  watch = writeScriptBin "watch" ''
    rm -rf /tmp/hacc-website
    ${jekyll}/bin/jekyll serve -s ${src} --disable-disk-cache -d /tmp/hacc-website
  '';
}
